Bug 32080 - Installer hangs after copying modules
Summary: Installer hangs after copying modules
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-17 12:29 UTC by skip gaede
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-21 16:30:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description skip gaede 2001-03-17 12:29:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


I have a triple OS system, with WinNT owning the MBR, and just Linux on 
the second drive. I use bootpart to extract the lilo boot sector and make 
it a menu choice in boot.ini. During the install, at the end of copying 
ths selected modules, the install hung. In the console window, I saw a 
message that the boot record wasn't on the first drive.

Reproducible: Always
Steps to Reproduce:
1. Custom install
2. Linux on second drive
3. NT on first drive
4. Lilo boot in boot partition
5. Pick modules
6. System hangs after copying modules
	

Actual Results:  I looked at the various consoles, saw that things had 
come to a screeching halt and decided to power down. I used bootpart to 
extract the boot sector and replaced the old one (C:\bootlinx.rh7). The 
system was able to boot linux, but the disk had to be fsck'd.

Expected Results:  The message about the boot partition not being on the 
first drive should have been displayed in gui mode, along with the 
ramifications. The system should have shut down gracefully.

Comment 1 Michael Fulbright 2001-03-20 05:05:56 UTC
Brent please investigate.

Comment 2 Brent Fox 2001-03-20 17:35:01 UTC
When you say 'modules', do you mean software packages?  When I think of modules,
I think of the device drivers that are loaded by the kernel.

Comment 3 skip gaede 2001-03-21 15:50:11 UTC
Yes, the 'modules' are the various groups of packages you can install. On RH7, 
what happened after the packages installation was that you were prompted to 
make a boot disk.

--Skip

Comment 4 Brent Fox 2001-03-21 16:33:24 UTC
I think that this problem has been fixed.  I don't think it has anything to do
with the bootloader, though.  We were seeing some problems with machines hanging
at the end of install, but the machines that we have here that were doing this
aren't doing it anymore.  I'm resolving this bug as fixed in rawhide.  However,
if you see this problem in the future, please reopen this bug.  Thanks for your
report.


Note You need to log in before you can comment on or make changes to this bug.